Bug 999462 - Hard lock with kernel 3.10.7, i915 driver
Hard lock with kernel 3.10.7, i915 driver
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 07:12 EDT by Serge Matveenko
Modified: 2015-02-17 11:51 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:51:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (5.08 KB, text/plain)
2013-11-11 03:45 EST, Serge Matveenko
no flags Details
lsusb (780 bytes, text/plain)
2013-11-11 03:46 EST, Serge Matveenko
no flags Details
lsmod (3.45 KB, text/plain)
2013-11-11 03:46 EST, Serge Matveenko
no flags Details

  None (edit)
Description Serge Matveenko 2013-08-21 07:12:00 EDT
Description of problem:

After moving to Fedora 19 from Fedora 18 my machine was permanently affected by kernel crashes and locks. After investigation it is clean that the cause is in video driver. Workaround is to set "nomodeset" kernel boot parameter.

On kernel 3.10.7 I was trying to catch traceback on kernel crash via watchdog or SysRq nothing did help. Looks like hard lock.

I'm ready to investigate this problem further until successful resolution.


Version-Release number of selected component (if applicable):

$ uname -a
Linux localhost.localdomain 3.10.7-200.fc19.x86_64 #1 SMP Thu Aug 15 23:19:45 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)



How reproducible:

Install Fedora 19, upgrade. Reboot. Wait a few minutes.
Comment 1 Arun S A G 2013-10-12 08:06:46 EDT
Hi,

Can you give us more information? You can get a trace if there is a hard lock by following instructions at https://fedoraproject.org/wiki/Common_kernel_problems#Diagnosing_.22My_machine_locked_up.22


Also more information about your hardware will help us. lspci -v; lsusb; lsmod ?
Comment 2 Serge Matveenko 2013-10-14 04:45:17 EDT
Will do it in a couple of days.

I can say now that on the same hardware running on

$ uname -a
Linux smatveenko-linux 3.11.3-301.fc20.x86_64 #1 SMP Thu Oct 3 00:57:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

without mode set almost every application accessing video driver will crash in a minute or so.

Setting nomodeset helps to be able to use entire system as usual.
Comment 3 Serge Matveenko 2013-10-31 02:06:16 EDT
On "3.11.6-301.fc20.x86_64" there is no issue when running without "nomodeset" kernel option on the same hardware.

I think i will not be able to reproduce this one.

Sorry for inconvenience.
Comment 4 Josh Boyer 2013-10-31 10:16:55 EDT
OK, thank you for letting us know.
Comment 5 Serge Matveenko 2013-11-11 03:33:37 EST
Linux 3.11.7-300.fc20.x86_64 #1 SMP Mon Nov 4 15:07:39 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Same hardware

Attaching crash dump
Comment 6 Serge Matveenko 2013-11-11 03:45:31 EST
Created attachment 822320 [details]
lspci -v
Comment 7 Serge Matveenko 2013-11-11 03:46:15 EST
Created attachment 822321 [details]
lsusb
Comment 8 Serge Matveenko 2013-11-11 03:46:41 EST
Created attachment 822322 [details]
lsmod
Comment 9 Serge Matveenko 2013-11-11 03:48:20 EST
crash dump via Kdump: https://www.dropbox.com/s/0rl0874j0luqsjw/vmcore-20131111-122616
Comment 10 Fedora End Of Life 2015-01-09 14:32:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 11:51:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.